<?php
include_once("c_esmo_gateway_upload.php");
class c_page_cab_esmo_gateway_upload_personals_images extends c_page_cab_esmo_gateway_upload
{
    public $h1='Загрузка списка сотрудников - проверка - загрузка фото' ;

    function block_main()
    { $this->page_title() ;

      //$recs=execSQL('select * from obj_descr_obj_tables where clss=101',2) ;
      $recs=execSQL('select * from obj_site_personals where clss=211 and upl_img!="" order by pkey desc') ;
      ?><h2>Изображения, ожидающие загрузки (первые 10):</h2><?
      if (_sizeof($recs))
      {?><table class="basic fz_small auto"><tr><th>ID сотрудника (ЭСМО)</th><th>UID сотрудника</th><th>ФИО сотрудника</th><th>Фото для загрузки</th></tr><?
          foreach($recs as $rec)
          {  ?><tr><td><?echo $rec['pkey']?></td>
                   <td class="left"><?echo $rec['uid']?></td>
                   <td class="left"><?echo $rec['obj_name']?></td>
                   <td class="left"><?if ($rec['upl_img'])
                         { $arr=unserialize($rec['upl_img']);
                           if (_sizeof($arr['url'])) echo implode('<br>',$arr['url']) ;
                         }
                       //damp_array($arr) ;
                       ?></td>
              </tr><?

          }
        ?></table><?
      } else echo '<div class="green">Фото для загрузки отсутствуют</div>'  ;

        ?><br><h2>Лог загрузки фото:</h2><?
        include_once(_DIR_EXT.'/log/report_log_events.php') ;
           $report_obj=new report_log_events() ;
           //$report_obj->filter['reffer']=$this->rec_personal['_reffer'];
           $report_obj->filter['action']='upload_image_personal';
           $report_obj->filter['order']='pkey desc';
           $report_obj->no_view_title=1 ;
           $report_obj->view_as_HTML() ;

    }


}

?>
